API Classes

Apps

Kelvin API Client.

class kelvin.api.client.api.apps.Apps(_owner=None, _name=None, **kwargs)[source]

Bases: ApiServiceModel

Parameters:
  • _owner (BaseModel | None)

  • _name (str | None)

classmethod list_apps_context(sort_by=None, pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, data=None, fetch=True, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppsContextList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppsContextList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppsContextList, Mapping[str, object]]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → Union[responses.AppsContextListPaginatedResponseCursor, responses.AppsContextListPaginatedResponseLimits]

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppsContextList, Mapping[str, object]]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → KList[type.AppsResourceContext]

Parameters:
Return type:

KList[AppsResourceContext] | AppsContextListPaginatedResponseCursor | AppsContextListPaginatedResponseLimits | dict[str, object] | Response

List Apps Contexts

Permission Required: kelvin.permission.app.read.

listAppsContext: POST /api/v4/apps/context/list

Parameters:
  • sort_by (Optional[Sequence[str]]) – Sequence[str]

  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • data (Union[AppsContextList, Mapping[str, object], None]) – requests.AppsContextList, optional

  • **kwargs (object) –

    Extra parameters for requests.AppsContextList
    • list_apps_context: dict

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

KList[AppsResourceContext] | AppsContextListPaginatedResponseCursor | AppsContextListPaginatedResponseLimits | dict[str, object] | Response

classmethod create_app_version(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.AppVersionCreate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.AppVersionCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.AppVersionCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.AppVersionCreate

Parameters:
Return type:

AppVersionCreate | dict[str, object] | Response

Create App Version

Permission Required: kelvin.permission.app.create.

createAppVersion: POST /api/v4/apps/create

Parameters:
  • data (Union[AppVersionCreate, Mapping[str, object], None]) – requests.AppVersionCreate, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionCreate
    • create_app_version: str

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

AppVersionCreate | dict[str, object] | Response

classmethod list_apps(app_names=None, app_types=None, resources=None, search=None, sort_by=None, pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, fetch=True, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, app_names (Optional[Sequence[str]]), app_types (Optional[Sequence[str]]), resources (Optional[Sequence[str]]), search (Optional[Sequence[str]]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, app_names (Optional[Sequence[str]]), app_types (Optional[Sequence[str]]), resources (Optional[Sequence[str]]), search (Optional[Sequence[str]]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, app_names (Optional[Sequence[str]]), app_types (Optional[Sequence[str]]), resources (Optional[Sequence[str]]), search (Optional[Sequence[str]]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → Union[responses.AppsListPaginatedResponseCursor, responses.AppsListPaginatedResponseLimits]

  • cls, app_names (Optional[Sequence[str]]), app_types (Optional[Sequence[str]]), resources (Optional[Sequence[str]]), search (Optional[Sequence[str]]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → KList[type.AppShort]

Parameters:
Return type:

KList[AppShort] | AppsListPaginatedResponseCursor | AppsListPaginatedResponseLimits | dict[str, object] | Response

Returns a list of Applications based on the provided filters and sort options.

Permission Required: kelvin.permission.app.read.

listApps: GET /api/v4/apps/list

Parameters:
  • app_names (Optional[Sequence[str]]) – Sequence[str] Filter the results by the provided application names.

  • app_types (Optional[Sequence[str]]) – Sequence[str] Application type.

  • resources (Optional[Sequence[str]]) – Sequence[str] Filter based on Resource (KRN format) associated with the App. Supported KRNs: asset.

  • search (Optional[Sequence[str]]) – Sequence[str] Search the name or title of the application for the provided string.

  • sort_by (Optional[Sequence[str]]) – Sequence[str]

  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

KList[AppShort] | AppsListPaginatedResponseCursor | AppsListPaginatedResponseLimits | dict[str, object] | Response

fields = None
model_config: ClassVar[ConfigDict] = {'use_enum_values': True, 'validate_assignment': True, 'validate_default': True}

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

model_post_init(context, /)

This function is meant to behave like a BaseModel method to initialise private attributes.

It takes context as an argument since that’s what pydantic-core passes when calling it.

Parameters:
  • self (BaseModel) – The BaseModel instance.

  • context (Any) – The context.

Return type:

None

schema = None
classmethod delete_app(app_name, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, app_name (str), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, app_name (str), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, app_name (str), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → None

Parameters:
  • app_name (str)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

dict[str, object] | Response | None

Delete App

Permission Required: kelvin.permission.app.delete.

deleteApp: POST /api/v4/apps/{app_name}/delete

Parameters:
  • app_name (str) – str, optional

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

dict[str, object] | Response | None

classmethod get_app(app_name, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, app_name (str), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, app_name (str), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, app_name (str), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → responses.AppGet

Parameters:
  • app_name (str)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

AppGet | dict[str, object] | Response

Get details of an Application

Permission Required: kelvin.permission.app.read.

getApp: GET /api/v4/apps/{app_name}/get

Parameters:
  • app_name (str) – str, optional

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

AppGet | dict[str, object] | Response

classmethod patch_app(app_name, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), data (Optional[Union[requests.AppPatch, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), data (Optional[Union[requests.AppPatch, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), data (Optional[Union[requests.AppPatch, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.AppPatch

Parameters:
Return type:

AppPatch | dict[str, object] | Response

Update details of an Application. Any parameters that are not provided will remain unchanged.

Permission Required: kelvin.permission.app.update.

patchApp: POST /api/v4/apps/{app_name}/patch

Parameters:
  • app_name (str) – str, optional

  • data (Union[AppPatch, Mapping[str, object], None]) – requests.AppPatch, optional

  • **kwargs (object) –

    Extra parameters for requests.AppPatch
    • patch_app: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

AppPatch | dict[str, object] | Response

classmethod delete_app_resources(app_name, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), data (Optional[Union[requests.AppResourcesDelete, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), data (Optional[Union[requests.AppResourcesDelete, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), data (Optional[Union[requests.AppResourcesDelete, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Delete App Resources

Permission Required: kelvin.permission.app.update.

deleteAppResources: POST /api/v4/apps/{app_name}/resources/delete

Parameters:
  • app_name (str) – str, optional

  • data (Union[AppResourcesDelete, Mapping[str, object], None]) – requests.AppResourcesDelete, optional

  • **kwargs (object) –

    Extra parameters for requests.AppResourcesDelete
    • delete_app_resources: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod disable_app_resources(app_name, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), data (Optional[Union[requests.AppResourcesDisable, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), data (Optional[Union[requests.AppResourcesDisable, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), data (Optional[Union[requests.AppResourcesDisable, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Disable App Resources

Permission Required: kelvin.permission.app.update.

disableAppResources: POST /api/v4/apps/{app_name}/resources/disable

Parameters:
  • app_name (str) – str, optional

  • data (Union[AppResourcesDisable, Mapping[str, object], None]) – requests.AppResourcesDisable, optional

  • **kwargs (object) –

    Extra parameters for requests.AppResourcesDisable
    • disable_app_resources: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod enable_app_resources(app_name, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), data (Optional[Union[requests.AppResourcesEnable, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), data (Optional[Union[requests.AppResourcesEnable, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), data (Optional[Union[requests.AppResourcesEnable, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Enable App Resources

Permission Required: kelvin.permission.app.update.

enableAppResources: POST /api/v4/apps/{app_name}/resources/enable

Parameters:
  • app_name (str) – str, optional

  • data (Union[AppResourcesEnable, Mapping[str, object], None]) – requests.AppResourcesEnable, optional

  • **kwargs (object) –

    Extra parameters for requests.AppResourcesEnable
    • enable_app_resources: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod list_app_resources(app_name, search=None, resources=None, app_versions=None, workload_names=None, enabled=None, sort_by=None, pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, fetch=True, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, app_name (str), search (Optional[Sequence[str]]), resources (Optional[Sequence[str]]), app_versions (Optional[Sequence[str]]), workload_names (Optional[Sequence[str]]), enabled (Optional[bool]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, app_name (str), search (Optional[Sequence[str]]), resources (Optional[Sequence[str]]), app_versions (Optional[Sequence[str]]), workload_names (Optional[Sequence[str]]), enabled (Optional[bool]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, app_name (str), search (Optional[Sequence[str]]), resources (Optional[Sequence[str]]), app_versions (Optional[Sequence[str]]), workload_names (Optional[Sequence[str]]), enabled (Optional[bool]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → Union[responses.AppResourcesListPaginatedResponseCursor, responses.AppResourcesListPaginatedResponseLimits]

  • cls, app_name (str), search (Optional[Sequence[str]]), resources (Optional[Sequence[str]]), app_versions (Optional[Sequence[str]]), workload_names (Optional[Sequence[str]]), enabled (Optional[bool]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → KList[type.AppResource]

Parameters:
Return type:

KList[AppResource] | AppResourcesListPaginatedResponseCursor | AppResourcesListPaginatedResponseLimits | dict[str, object] | Response

List App Resources

Permission Required: kelvin.permission.app.read.

listAppResources: GET /api/v4/apps/{app_name}/resources/list

Parameters:
  • app_name (str) – str, optional

  • search (Optional[Sequence[str]]) – Sequence[str]

  • resources (Optional[Sequence[str]]) – Sequence[str]

  • app_versions (Optional[Sequence[str]]) – Sequence[str]

  • workload_names (Optional[Sequence[str]]) – Sequence[str]

  • enabled (Optional[bool]) – bool

  • sort_by (Optional[Sequence[str]]) – Sequence[str]

  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

KList[AppResource] | AppResourcesListPaginatedResponseCursor | AppResourcesListPaginatedResponseLimits | dict[str, object] | Response

classmethod delete_app_version(app_name, app_version, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, app_name (str), app_version (str), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, app_name (str), app_version (str), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, app_name (str), app_version (str), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → None

Parameters:
  • app_name (str)

  • app_version (str)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

dict[str, object] | Response | None

Delete App Version

Permission Required: kelvin.permission.app.delete.

deleteAppVersion: POST /api/v4/apps/{app_name}/v/{app_version}/delete

Parameters:
  • app_name (str) – str, optional

  • app_version (str) – str, optional

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

dict[str, object] | Response | None

classmethod deploy_app_version(app_name, app_version, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionDeploy, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionDeploy, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionDeploy, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.AppVersionDeploy

Parameters:
Return type:

AppVersionDeploy | dict[str, object] | Response

Deploy App Version

Issues the deployment of workloads based on the specified instructions.

The deployment section defines the strategy to deploy the application to resources (i.e. assets) by creating the necessary workloads based on the maximum number of resources each instance can handle, as well as the target cluster where the workloads will be deployed.

Each resource (i.e. asset) is defined in the runtime section, which includes defining its parameters and data stream mappings.

The parameters section is optional. If provided, it will update all parameters for that resource with the provided values, otherwise, the current ones will be injected into the new workloads. If parameters is set and a parameter is not defined, the current value will be deleted, effectively setting it to the default value. This behaviour means that setting parameters to an empty object ({}) will reset all parameters of that resource to their default values.

Permission Required: kelvin.permission.app.deploy.

deployAppVersion: POST /api/v4/apps/{app_name}/v/{app_version}/deploy

Parameters:
  • app_name (str) – str, optional

  • app_version (str) – str, optional

  • data (Union[AppVersionDeploy, Mapping[str, object], None]) – requests.AppVersionDeploy, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionDeploy
    • deploy_app_version: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

AppVersionDeploy | dict[str, object] | Response

classmethod get_app_version(app_name, app_version, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, app_name (str), app_version (str), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, app_name (str), app_version (str), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, app_name (str), app_version (str), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → responses.AppVersionGet

Parameters:
  • app_name (str)

  • app_version (str)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

AppVersionGet | dict[str, object] | Response

Get App Version

Permission Required: kelvin.permission.app.read.

getAppVersion: GET /api/v4/apps/{app_name}/v/{app_version}/get

Parameters:
  • app_name (str) – str, optional

  • app_version (str) – str, optional

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

AppVersionGet | dict[str, object] | Response

classmethod patch_app_version(app_name, app_version, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionPatch, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionPatch, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionPatch, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.AppVersionPatch

Parameters:
Return type:

AppVersionPatch | dict[str, object] | Response

Update App Version

Partially update the default settings and schemas for an App Version. The following keys can be updated individually. If a key is not specified, its existing value will remain unchanged. If a key is specified, it will completely overwrite the current value for that key and its nested fields.

  • defaults.deployment.max_resources

  • defaults.deployment.deployment_type

  • defaults.deployment.target

  • defaults.app.configuration

  • defaults.app.io_datastream_mapping

  • defaults.system

  • schemas.parameters

  • schemas.configuration

  • schemas.io_configuration

Permission Required: kelvin.permission.app.update.

patchAppVersion: POST /api/v4/apps/{app_name}/v/{app_version}/patch

Parameters:
  • app_name (str) – str, optional

  • app_version (str) – str, optional

  • data (Union[AppVersionPatch, Mapping[str, object], None]) – requests.AppVersionPatch, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionPatch
    • patch_app_version: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

AppVersionPatch | dict[str, object] | Response

classmethod update_app_version(app_name, app_version, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionUpdate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.AppVersionUpdate

Parameters:
Return type:

AppVersionUpdate | dict[str, object] | Response

Update App Version

Update the default settings and schemas for an App Version.

Permission Required: kelvin.permission.app.update.

updateAppVersion: POST /api/v4/apps/{app_name}/v/{app_version}/update

Parameters:
  • app_name (str) – str, optional

  • app_version (str) – str, optional

  • data (Union[AppVersionUpdate, Mapping[str, object], None]) – requests.AppVersionUpdate, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionUpdate
    • update_app_version: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

AppVersionUpdate | dict[str, object] | Response

AppParameters

Kelvin API Client.

class kelvin.api.client.api.app_parameters.AppParameters(_owner=None, _name=None, **kwargs)[source]

Bases: ApiServiceModel

Parameters:
  • _owner (Optional['BaseModel'])

  • _name (Optional[str])

classmethod list_app_version_parameters_history(sort_by=None, pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, data=None, fetch=True, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppVersionParametersHistoryList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppVersionParametersHistoryList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppVersionParametersHistoryList, Mapping[str, object]]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → Union[responses.AppVersionParametersHistoryListPaginatedResponseCursor, responses.AppVersionParametersHistoryListPaginatedResponseLimits]

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppVersionParametersHistoryList, Mapping[str, object]]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → KList[type.AppVersionParameter]

Parameters:
Return type:

KList[AppVersionParameter] | AppVersionParametersHistoryListPaginatedResponseCursor | AppVersionParametersHistoryListPaginatedResponseLimits | dict[str, object] | Response

List App Version Parameters History

Permission Required: kelvin.permission.parameter.read.

listAppVersionParametersHistory: POST /api/v4/apps/parameters/history/list

Parameters:
  • sort_by (Optional[Sequence[str]]) – Sequence[str] Sort the results by one or more enumerators.

  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • data (Union[AppVersionParametersHistoryList, Mapping[str, object], None]) – requests.AppVersionParametersHistoryList, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionParametersHistoryList
    • list_app_version_parameters_history: dict

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

KList[AppVersionParameter] | AppVersionParametersHistoryListPaginatedResponseCursor | AppVersionParametersHistoryListPaginatedResponseLimits | dict[str, object] | Response

classmethod list_app_parameters(sort_by=None, pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, data=None, fetch=True, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppParametersList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppParametersList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppParametersList, Mapping[str, object]]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → Union[responses.AppParametersListPaginatedResponseCursor, responses.AppParametersListPaginatedResponseLimits]

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppParametersList, Mapping[str, object]]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → KList[type.AppParameter]

Parameters:
Return type:

KList[AppParameter] | AppParametersListPaginatedResponseCursor | AppParametersListPaginatedResponseLimits | dict[str, object] | Response

List App Parameters

Permission Required: kelvin.permission.parameter.read.

listAppParameters: POST /api/v4/apps/parameters/list

Parameters:
  • sort_by (Optional[Sequence[str]]) – Sequence[str] Sort the results by one or more enumerators.

  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • data (Union[AppParametersList, Mapping[str, object], None]) – requests.AppParametersList, optional

  • **kwargs (object) –

    Extra parameters for requests.AppParametersList
    • list_app_parameters: dict

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

KList[AppParameter] | AppParametersListPaginatedResponseCursor | AppParametersListPaginatedResponseLimits | dict[str, object] | Response

fields = None
model_config: ClassVar[ConfigDict] = {'use_enum_values': True, 'validate_assignment': True, 'validate_default': True}

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

model_post_init(context, /)

This function is meant to behave like a BaseModel method to initialise private attributes.

It takes context as an argument since that’s what pydantic-core passes when calling it.

Parameters:
  • self (BaseModel) – The BaseModel instance.

  • context (Any) – The context.

Return type:

None

schema = None
classmethod create_parameters_schedule(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.ParametersScheduleCreate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.ParametersScheduleCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.ParametersScheduleCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.ParametersScheduleCreate

Parameters:
Return type:

ParametersScheduleCreate | dict[str, object] | Response

Create a new schedule to apply parameters to an application.

Schedules are sets of application parameter values that are applied to a group of assets at a given time.

Optionally, those values can be reverted to the desired value. When doing so, parameter values are defined for each asset individually, and the assets and parameters must match the original schedule. For example, if 2 parameters were changed for 2 assets and a revert operation is requested, then the revert parameters must have 2 assets and 2 parameters for each asset.

The schedule must be created in the future and, if a revert operation is requested, the revert date must be after the scheduled date.

Upon creation, the current values of the parameters are stored in the original_resource_parameters field.

Permission Required: kelvin.permission.parameter.update.

createParametersSchedule: POST /api/v4/apps/parameters/schedules/create

Parameters:
  • data (Union[ParametersScheduleCreate, Mapping[str, object], None]) – requests.ParametersScheduleCreate, optional

  • **kwargs (object) –

    Extra parameters for requests.ParametersScheduleCreate
    • create_parameters_schedule: str

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

ParametersScheduleCreate | dict[str, object] | Response

classmethod list_parameters_schedule(pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, sort_by=None, data=None, fetch=True, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), data (Optional[Union[requests.ParametersScheduleList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), data (Optional[Union[requests.ParametersScheduleList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), data (Optional[Union[requests.ParametersScheduleList, Mapping[str, object]]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → Union[responses.ParametersScheduleListPaginatedResponseCursor, responses.ParametersScheduleListPaginatedResponseLimits]

  • cls, pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), data (Optional[Union[requests.ParametersScheduleList, Mapping[str, object]]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → KList[responses.ParametersScheduleGet]

Parameters:
Return type:

KList[ParametersScheduleGet] | ParametersScheduleListPaginatedResponseCursor | ParametersScheduleListPaginatedResponseLimits | dict[str, object] | Response

Returns a list of Parameter Schedules and its parameters. The Parameter Schedules can be optionally filtered and sorted on the server before being returned.

Permission Required: kelvin.permission.parameter.read.

listParametersSchedule: POST /api/v4/apps/parameters/schedules/list

Parameters:
  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • sort_by (Optional[Sequence[str]]) – Sequence[str] Sort the results by one or more enumerators.

  • data (Union[ParametersScheduleList, Mapping[str, object], None]) – requests.ParametersScheduleList, optional

  • **kwargs (object) –

    Extra parameters for requests.ParametersScheduleList
    • list_parameters_schedule: dict

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

KList[ParametersScheduleGet] | ParametersScheduleListPaginatedResponseCursor | ParametersScheduleListPaginatedResponseLimits | dict[str, object] | Response

classmethod apply_parameters_schedule(schedule_id, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, schedule_id (str), data (Optional[Union[requests.ParametersScheduleApply, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, schedule_id (str), data (Optional[Union[requests.ParametersScheduleApply, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, schedule_id (str), data (Optional[Union[requests.ParametersScheduleApply, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Apply the scheduled or reverted parameters of a specific schedule.

There are 2 types of the “apply” action:

  • schedule: Applies the scheduled parameters if the schedule is in the

scheduled state. - schedule-revert: Applies the revert parameters if the schedule is in the scheduled-revert state.

If the schedule is not in the supported state for the selected type, the API will return an error.

Errors encountered when calling this API will not affect the schedule state.

Permission Required: kelvin.permission.parameter.update.

applyParametersSchedule: POST /api/v4/apps/parameters/schedules/{schedule_id}/apply

Parameters:
  • schedule_id (str) – str, optional The parameter schedule key id to be applied immediately.

  • data (Union[ParametersScheduleApply, Mapping[str, object], None]) – requests.ParametersScheduleApply, optional

  • **kwargs (object) –

    Extra parameters for requests.ParametersScheduleApply
    • apply_parameters_schedule: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod delete_parameters_schedule(schedule_id, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, schedule_id (str), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, schedule_id (str), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, schedule_id (str), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → None

Parameters:
  • schedule_id (str)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

dict[str, object] | Response | None

Delete a specific schedule.

Permission Required: kelvin.permission.parameter.update.

deleteParametersSchedule: POST /api/v4/apps/parameters/schedules/{schedule_id}/delete

Parameters:
  • schedule_id (str) – str, optional The parameter schedule key id to be delete.

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

dict[str, object] | Response | None

classmethod get_parameters_schedule(schedule_id, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, schedule_id (str), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, schedule_id (str), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, schedule_id (str), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → responses.ParametersScheduleGet

Parameters:
  • schedule_id (str)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

ParametersScheduleGet | dict[str, object] | Response

Get a specific schedule.

Permission Required: kelvin.permission.parameter.read.

getParametersSchedule: GET /api/v4/apps/parameters/schedules/{schedule_id}/get

Parameters:
  • schedule_id (str) – str, optional The parameter schedule key id to be retrieved.

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

ParametersScheduleGet | dict[str, object] | Response

classmethod get_app_version_parameters_unique_values(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.AppVersionParametersUniqueValuesGet, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.AppVersionParametersUniqueValuesGet, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.AppVersionParametersUniqueValuesGet, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.AppVersionParametersUniqueValuesGet

Parameters:
Return type:

AppVersionParametersUniqueValuesGet | dict[str, object] | Response

Get App Version Parameters Unique Values

Permission Required: kelvin.permission.parameter.read.

getAppVersionParametersUniqueValues: POST /api/v4/apps/parameters/unique-values/get

Parameters:
  • data (Union[AppVersionParametersUniqueValuesGet, Mapping[str, object], None]) – requests.AppVersionParametersUniqueValuesGet, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionParametersUniqueValuesGet
    • get_app_version_parameters_unique_values: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

AppVersionParametersUniqueValuesGet | dict[str, object] | Response

classmethod list_app_version_parameter_values(sort_by=None, pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, data=None, fetch=True, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppVersionParameterValuesList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppVersionParameterValuesList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppVersionParameterValuesList, Mapping[str, object]]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → Union[responses.AppVersionParameterValuesListPaginatedResponseCursor, responses.AppVersionParameterValuesListPaginatedResponseLimits]

  • cls, sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), data (Optional[Union[requests.AppVersionParameterValuesList, Mapping[str, object]]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → KList[type.AppVersionParameter]

Parameters:
Return type:

KList[AppVersionParameter] | AppVersionParameterValuesListPaginatedResponseCursor | AppVersionParameterValuesListPaginatedResponseLimits | dict[str, object] | Response

List App Version Parameter Values

Permission Required: kelvin.permission.parameter.read.

listAppVersionParameterValues: POST /api/v4/apps/parameters/values/list

Parameters:
  • sort_by (Optional[Sequence[str]]) – Sequence[str] Sort the results by one or more enumerators.

  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • data (Union[AppVersionParameterValuesList, Mapping[str, object], None]) – requests.AppVersionParameterValuesList, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionParameterValuesList
    • list_app_version_parameter_values: str

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

KList[AppVersionParameter] | AppVersionParameterValuesListPaginatedResponseCursor | AppVersionParameterValuesListPaginatedResponseLimits | dict[str, object] | Response

classmethod update_app_version_parameters_defaults(app_name, app_version, patch=None, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), app_version (str), patch (Optional[bool]), data (Optional[Union[requests.AppVersionParametersDefaultsUpdate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), app_version (str), patch (Optional[bool]), data (Optional[Union[requests.AppVersionParametersDefaultsUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), app_version (str), patch (Optional[bool]), data (Optional[Union[requests.AppVersionParametersDefaultsUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Update App Version Parameters Defaults

Permission Required: kelvin.permission.app.update.

updateAppVersionParametersDefaults: POST /api/v4/apps/{app_name}/v/{app_version}/parameters/defaults/update

Parameters:
  • app_name (str) – str, optional

  • app_version (str) – str, optional

  • patch (Optional[bool]) – bool If set to true, it only updates the parameters that are explicitly defined in the request.

  • data (Union[AppVersionParametersDefaultsUpdate, Mapping[str, object], None]) – requests.AppVersionParametersDefaultsUpdate, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionParametersDefaultsUpdate
    • update_app_version_parameters_defaults: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod get_app_version_parameters_fallback_values(app_name, app_version, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionParametersFallbackValuesGet, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionParametersFallbackValuesGet, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), app_version (str), data (Optional[Union[requests.AppVersionParametersFallbackValuesGet, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.AppVersionParametersFallbackValuesGet

Parameters:
Return type:

AppVersionParametersFallbackValuesGet | dict[str, object] | Response

Get App Version Parameters Fallback Values

Permission Required: kelvin.permission.parameter.read.

getAppVersionParametersFallbackValues: POST /api/v4/apps/{app_name}/v/{app_version}/parameters/fallback-values/get

Parameters:
  • app_name (str) – str, optional

  • app_version (str) – str, optional

  • data (Union[AppVersionParametersFallbackValuesGet, Mapping[str, object], None]) – requests.AppVersionParametersFallbackValuesGet, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionParametersFallbackValuesGet
    • get_app_version_parameters_fallback_values: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

AppVersionParametersFallbackValuesGet | dict[str, object] | Response

classmethod update_app_version_parameters(app_name, app_version, patch=None, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, app_name (str), app_version (str), patch (Optional[bool]), data (Optional[Union[requests.AppVersionParametersUpdate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, app_name (str), app_version (str), patch (Optional[bool]), data (Optional[Union[requests.AppVersionParametersUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, app_name (str), app_version (str), patch (Optional[bool]), data (Optional[Union[requests.AppVersionParametersUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Update App Version Parameters

Permission Required: kelvin.permission.parameter.update.

updateAppVersionParameters: POST /api/v4/apps/{app_name}/v/{app_version}/parameters/values/update

Parameters:
  • app_name (str) – str, optional

  • app_version (str) – str, optional

  • patch (Optional[bool]) – bool If set to true, it only updates the parameters that are explicitly defined in the request.

  • data (Union[AppVersionParametersUpdate, Mapping[str, object], None]) – requests.AppVersionParametersUpdate, optional

  • **kwargs (object) –

    Extra parameters for requests.AppVersionParametersUpdate
    • update_app_version_parameters: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

AppWorkloads

Kelvin API Client.

class kelvin.api.client.api.app_workloads.AppWorkloads(_owner=None, _name=None, **kwargs)[source]

Bases: ApiServiceModel

Parameters:
  • _owner (Optional['BaseModel'])

  • _name (Optional[str])

classmethod apply_workloads(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.WorkloadsApply, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.WorkloadsApply, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.WorkloadsApply, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Initiate final deploy action for the downloaded Workloads. Only valid for Workloads that were previously deployed with the keys staged set to true and instantly_apply set to false.

Permission Required: kelvin.permission.workload.update.

applyWorkloads: POST /api/v4/apps/workloads/apply

Parameters:
  • data (Union[WorkloadsApply, Mapping[str, object], None]) – requests.WorkloadsApply, optional

  • **kwargs (object) –

    Extra parameters for requests.WorkloadsApply
    • apply_workloads: str

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod update_workloads_bulk(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.WorkloadsBulkUpdate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.WorkloadsBulkUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.WorkloadsBulkUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Update Workloads Bulk

Permission Required: kelvin.permission.workload.update.

updateWorkloadsBulk: POST /api/v4/apps/workloads/bulk/update

Parameters:
  • data (Union[WorkloadsBulkUpdate, Mapping[str, object], None]) – requests.WorkloadsBulkUpdate, optional

  • **kwargs (object) –

    Extra parameters for requests.WorkloadsBulkUpdate
    • update_workloads_bulk: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod create_workload(stopped=None, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, stopped (Optional[bool]), data (Optional[Union[requests.WorkloadCreate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, stopped (Optional[bool]), data (Optional[Union[requests.WorkloadCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, stopped (Optional[bool]), data (Optional[Union[requests.WorkloadCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.WorkloadCreate

Parameters:
Return type:

WorkloadCreate | dict[str, object] | Response

Create Workload

Permission Required: kelvin.permission.workload.create.

createWorkload: POST /api/v4/apps/workloads/create

Parameters:
  • stopped (Optional[bool]) – bool If set to true, the workload created will be deployed in a stopped state.

  • data (Union[WorkloadCreate, Mapping[str, object], None]) – requests.WorkloadCreate, optional

  • **kwargs (object) –

    Extra parameters for requests.WorkloadCreate
    • create_workload: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

WorkloadCreate | dict[str, object] | Response

fields = None
model_config: ClassVar[ConfigDict] = {'use_enum_values': True, 'validate_assignment': True, 'validate_default': True}

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

model_post_init(context, /)

This function is meant to behave like a BaseModel method to initialise private attributes.

It takes context as an argument since that’s what pydantic-core passes when calling it.

Parameters:
  • self (BaseModel) – The BaseModel instance.

  • context (Any) – The context.

Return type:

None

schema = None
classmethod delete_workloads(staged=None, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, staged (Optional[bool]), data (Optional[Union[requests.WorkloadsDelete, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, staged (Optional[bool]), data (Optional[Union[requests.WorkloadsDelete, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, staged (Optional[bool]), data (Optional[Union[requests.WorkloadsDelete, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Delete Workload

Permission Required: kelvin.permission.workload.delete.

deleteWorkloads: POST /api/v4/apps/workloads/delete

Parameters:
Return type:

dict[str, object] | Response | None

classmethod list_workloads(search=None, app_names=None, app_versions=None, app_types=None, cluster_names=None, node_names=None, workload_names=None, resources=None, staged=None, statuses=None, download_statuses=None, sort_by=None, pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, fetch=True, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, search (Optional[Sequence[str]]), app_names (Optional[Sequence[str]]), app_versions (Optional[Sequence[str]]), app_types (Optional[Sequence[str]]), cluster_names (Optional[Sequence[str]]), node_names (Optional[Sequence[str]]), workload_names (Optional[Sequence[str]]), resources (Optional[str]), staged (Optional[bool]), statuses (Optional[Sequence[str]]), download_statuses (Optional[Sequence[str]]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, search (Optional[Sequence[str]]), app_names (Optional[Sequence[str]]), app_versions (Optional[Sequence[str]]), app_types (Optional[Sequence[str]]), cluster_names (Optional[Sequence[str]]), node_names (Optional[Sequence[str]]), workload_names (Optional[Sequence[str]]), resources (Optional[str]), staged (Optional[bool]), statuses (Optional[Sequence[str]]), download_statuses (Optional[Sequence[str]]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, search (Optional[Sequence[str]]), app_names (Optional[Sequence[str]]), app_versions (Optional[Sequence[str]]), app_types (Optional[Sequence[str]]), cluster_names (Optional[Sequence[str]]), node_names (Optional[Sequence[str]]), workload_names (Optional[Sequence[str]]), resources (Optional[str]), staged (Optional[bool]), statuses (Optional[Sequence[str]]), download_statuses (Optional[Sequence[str]]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → Union[responses.WorkloadsListPaginatedResponseCursor, responses.WorkloadsListPaginatedResponseLimits]

  • cls, search (Optional[Sequence[str]]), app_names (Optional[Sequence[str]]), app_versions (Optional[Sequence[str]]), app_types (Optional[Sequence[str]]), cluster_names (Optional[Sequence[str]]), node_names (Optional[Sequence[str]]), workload_names (Optional[Sequence[str]]), resources (Optional[str]), staged (Optional[bool]), statuses (Optional[Sequence[str]]), download_statuses (Optional[Sequence[str]]), sort_by (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → KList[type.WorkloadSummary]

Parameters:
Return type:

KList[WorkloadSummary] | WorkloadsListPaginatedResponseCursor | WorkloadsListPaginatedResponseLimits | dict[str, object] | Response

List Workloads

Permission Required: kelvin.permission.workload.read.

listWorkloads: GET /api/v4/apps/workloads/list

Parameters:
  • search (Optional[Sequence[str]]) – Sequence[str] Search and filter on the list based on the keys name, title (Display Name), app_name and cluster_name. All strings in the array are treated as _OR_. The search is case insensitive and will find partial matches as well.

  • app_names (Optional[Sequence[str]]) – Sequence[str] A filter on the list based on the key app_name. The filter is on the full name only.

  • app_versions (Optional[Sequence[str]]) – Sequence[str] A filter on the list based on the key app_version. The filter is on the full value only.

  • app_types (Optional[Sequence[str]]) – Sequence[str] Filter Workloads by their application types.

  • cluster_names (Optional[Sequence[str]]) – Sequence[str] A filter on the list based on the key cluster_name. The filter is on the full name only.

  • node_names (Optional[Sequence[str]]) – Sequence[str] A filter on the list based on the key node_name. The filter is on the full name only.

  • workload_names (Optional[Sequence[str]]) – Sequence[str] A filter on the list based on the key name. The filter is on the full name only.

  • resources (Optional[str]) – str Filter based on Resource (KRN format) associated with the Workload. Supported KRNs: asset.

  • staged (Optional[bool]) – bool A filter on the key staged. Using true will only show staged workloads, false will show all workloads.

  • statuses (Optional[Sequence[str]]) – Sequence[str]

  • download_statuses (Optional[Sequence[str]]) – Sequence[str]

  • sort_by (Optional[Sequence[str]]) – Sequence[str]

  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

KList[WorkloadSummary] | WorkloadsListPaginatedResponseCursor | WorkloadsListPaginatedResponseLimits | dict[str, object] | Response

classmethod start_workloads(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.WorkloadsStart, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.WorkloadsStart, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.WorkloadsStart, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Permission Required: kelvin.permission.workload.update.

startWorkloads: POST /api/v4/apps/workloads/start

Parameters:
  • data (Union[WorkloadsStart, Mapping[str, object], None]) – requests.WorkloadsStart, optional

  • **kwargs (object) –

    Extra parameters for requests.WorkloadsStart
    • start_workloads: str

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod stop_workloads(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.WorkloadsStop, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.WorkloadsStop, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.WorkloadsStop, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Permission Required: kelvin.permission.workload.update.

stopWorkloads: POST /api/v4/apps/workloads/stop

Parameters:
  • data (Union[WorkloadsStop, Mapping[str, object], None]) – requests.WorkloadsStop, optional

  • **kwargs (object) –

    Extra parameters for requests.WorkloadsStop
    • stop_workloads: str

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod download_workload(workload_name, address=None, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, workload_name (str), address (Optional[bool]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, workload_name (str), address (Optional[bool]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, workload_name (str), address (Optional[bool]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → str

Parameters:
  • workload_name (str)

  • address (bool | None)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

str | dict[str, object] | Response

Download the Workload package file for offline installation on the Edge System. The system automatically generates the file for download if the package is not already available.

Permission Required: kelvin.permission.workload.read.

downloadWorkload: GET /api/v4/apps/workloads/{workload_name}/download

Parameters:
  • workload_name (str) – str, optional Unique identifier name of the Workload.

  • address (Optional[bool]) – bool If true, the endpoint will return a direct URL to the workload package file.

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

str | dict[str, object] | Response

classmethod get_workload(workload_name, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, workload_name (str), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, workload_name (str), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, workload_name (str), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → responses.WorkloadGet

Parameters:
  • workload_name (str)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

WorkloadGet | dict[str, object] | Response

Retrieve the parameters of a Workload.

Permission Required: kelvin.permission.workload.read.

getWorkload: GET /api/v4/apps/workloads/{workload_name}/get

Parameters:
  • workload_name (str) – str, optional Unique identifier name of the Workload.

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

WorkloadGet | dict[str, object] | Response

classmethod get_workload_logs(workload_name, tail_lines=None, since_time=None, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, workload_name (str), tail_lines (Optional[int]), since_time (Optional[datetime]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, workload_name (str), tail_lines (Optional[int]), since_time (Optional[datetime]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, workload_name (str), tail_lines (Optional[int]), since_time (Optional[datetime]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → responses.WorkloadLogsGet

Parameters:
  • workload_name (str)

  • tail_lines (int | None)

  • since_time (datetime | None)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

WorkloadLogsGet | dict[str, object] | Response

Get Workload Logs

Permission Required: kelvin.permission.workload.read.

getWorkloadLogs: GET /api/v4/apps/workloads/{workload_name}/logs/get

Parameters:
  • workload_name (str) – str, optional Unique identifier name of the Workload.

  • tail_lines (Optional[int]) – int Specify the number of the most recent log lines to retrieve, counting backwards from the latest entry.

  • since_time (Optional[datetime]) – datetime UTC time of the starting point for log retrieval, formatted in RFC 3339.

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

WorkloadLogsGet | dict[str, object] | Response

classmethod update_workload(workload_name, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, workload_name (str), data (Optional[Union[requests.WorkloadUpdate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, workload_name (str), data (Optional[Union[requests.WorkloadUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, workload_name (str), data (Optional[Union[requests.WorkloadUpdate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.WorkloadUpdate

Parameters:
Return type:

WorkloadUpdate | dict[str, object] | Response

Update Workload

Update the modifiable components of a Workload. The following keys can be updated individually. If a key is not specified, its existing value will remain unchanged. If a key is specified, it will completely overwrite the current value for that key and its nested fields.

  • app_version

  • cluster_name

  • node_name

  • workload_title

  • runtime.resources

  • runtime.configuration

  • system

Permission Required: kelvin.permission.workload.update.

updateWorkload: POST /api/v4/apps/workloads/{workload_name}/patch

Parameters:
  • workload_name (str) – str, optional

  • data (Union[WorkloadUpdate, Mapping[str, object], None]) – requests.WorkloadUpdate, optional

  • **kwargs (object) –

    Extra parameters for requests.WorkloadUpdate
    • update_workload: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

WorkloadUpdate | dict[str, object] | Response

classmethod add_workload_resources(workload_name, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, workload_name (str), data (Optional[Union[requests.WorkloadResourcesAdd, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, workload_name (str), data (Optional[Union[requests.WorkloadResourcesAdd, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, workload_name (str), data (Optional[Union[requests.WorkloadResourcesAdd, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.WorkloadResourcesAdd

Parameters:
Return type:

WorkloadResourcesAdd | dict[str, object] | Response

Add WorkloadResources

Permission Required: kelvin.permission.workload.update.

addWorkloadResources: POST /api/v4/apps/workloads/{workload_name}/resources/add

Parameters:
  • workload_name (str) – str, optional

  • data (Union[WorkloadResourcesAdd, Mapping[str, object], None]) – requests.WorkloadResourcesAdd, optional

  • **kwargs (object) –

    Extra parameters for requests.WorkloadResourcesAdd
    • add_workload_resources: str

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

WorkloadResourcesAdd | dict[str, object] | Response

classmethod remove_workload_resources(workload_name, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, workload_name (str), data (Optional[Union[requests.WorkloadResourcesRemove, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, workload_name (str), data (Optional[Union[requests.WorkloadResourcesRemove, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, workload_name (str), data (Optional[Union[requests.WorkloadResourcesRemove, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Remove WorkloadResources

Permission Required: kelvin.permission.workload.update.

removeWorkloadResources: POST /api/v4/apps/workloads/{workload_name}/resources/remove

Parameters:
  • workload_name (str) – str, optional

  • data (Union[WorkloadResourcesRemove, Mapping[str, object], None]) – requests.WorkloadResourcesRemove, optional

  • **kwargs (object) –

    Extra parameters for requests.WorkloadResourcesRemove
    • remove_workload_resources: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

Asset

Kelvin API Client.

class kelvin.api.client.api.asset.Asset(_owner=None, _name=None, **kwargs)[source]

Bases: ApiServiceModel

Parameters:
  • _owner (Optional['BaseModel'])

  • _name (Optional[str])

classmethod create_asset_bulk(dry_run=None, data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, dry_run (Optional[bool]), data (Optional[Union[requests.AssetBulkCreate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, dry_run (Optional[bool]), data (Optional[Union[requests.AssetBulkCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, dry_run (Optional[bool]), data (Optional[Union[requests.AssetBulkCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → str

Parameters:
Return type:

str | dict[str, object] | Response | None

Create new Assets.

Permission Required: kelvin.permission.asset.create.

createAssetBulk: POST /api/v4/assets/bulk/create

Parameters:
  • dry_run (Optional[bool]) – bool Executes a simulated run when set to true, providing feedback without altering server data.

  • data (Union[AssetBulkCreate, Mapping[str, object], None]) – requests.AssetBulkCreate, optional

  • **kwargs (object) –

    Extra parameters for requests.AssetBulkCreate
    • create_asset_bulk: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

str | dict[str, object] | Response | None

classmethod delete_asset_bulk(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.AssetBulkDelete, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.AssetBulkDelete, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.AssetBulkDelete, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → None

Parameters:
Return type:

dict[str, object] | Response | None

Delete a list of existing Assets.

Permanently delete a list of existing Kelvin Assets. This cannot be undone once the API request has been submitted.

Permission Required: kelvin.permission.asset.delete.

deleteAssetBulk: POST /api/v4/assets/bulk/delete

Parameters:
  • data (Union[AssetBulkDelete, Mapping[str, object], None]) – requests.AssetBulkDelete, optional

  • **kwargs (object) –

    Extra parameters for requests.AssetBulkDelete
    • delete_asset_bulk: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

dict[str, object] | Response | None

classmethod create_asset(data=None, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, data (Optional[Union[requests.AssetCreate, Mapping[str, object]]]), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, data (Optional[Union[requests.AssetCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, data (Optional[Union[requests.AssetCreate, Mapping[str, object]]]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → responses.AssetCreate

Parameters:
Return type:

AssetCreate | dict[str, object] | Response | None

Create a new Asset.

Permission Required: kelvin.permission.asset.create.

createAsset: POST /api/v4/assets/create

Parameters:
  • data (Union[AssetCreate, Mapping[str, object], None]) – requests.AssetCreate, optional

  • **kwargs (object) –

    Extra parameters for requests.AssetCreate
    • create_asset: dict

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

  • **kwargs

Return type:

AssetCreate | dict[str, object] | Response | None

classmethod list_assets(search=None, names=None, asset_type_name=None, status_state=None, pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, sort_by=None, fetch=True, _dry_run=False, _get_response=False, _client=None)[source]
Overloads:
  • cls, search (Optional[Sequence[str]]), names (Optional[Sequence[str]]), asset_type_name (Optional[Sequence[str]]), status_state (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]) → dict[str, object]

  • cls, search (Optional[Sequence[str]]), names (Optional[Sequence[str]]), asset_type_name (Optional[Sequence[str]]), status_state (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]) → Response

  • cls, search (Optional[Sequence[str]]), names (Optional[Sequence[str]]), asset_type_name (Optional[Sequence[str]]), status_state (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → Union[responses.AssetsListPaginatedResponseCursor, responses.AssetsListPaginatedResponseLimits]

  • cls, search (Optional[Sequence[str]]), names (Optional[Sequence[str]]), asset_type_name (Optional[Sequence[str]]), status_state (Optional[Sequence[str]]), pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), fetch (Literal[True]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]) → KList[type.Asset]

Parameters:
Return type:

KList[Asset] | AssetsListPaginatedResponseCursor | AssetsListPaginatedResponseLimits | dict[str, object] | Response

Returns a list of Assets and its parameters. The Assets can be optionally filtered and sorted on the server before being returned.

Permission Required: kelvin.permission.asset.read.

listAssets: GET /api/v4/assets/list

Parameters:
  • search (Optional[Sequence[str]]) – Sequence[str] Search and filter on the list based on the keys title (Display Name) or name. All values in array will be filtered as OR. The search is case insensitive and will find partial matches as well.

  • names (Optional[Sequence[str]]) – Sequence[str] A filter on the list based on the key name. The filter is on the full name only. The string can only contain lowercase alphanumeric characters and ., _ or - characters.

  • asset_type_name (Optional[Sequence[str]]) – Sequence[str] A filter on the list based on the key asset_type_name. The filter is on the full name only. The string can only contain lowercase alphanumeric characters and ., _ or - characters.

  • status_state (Optional[Sequence[str]]) – Sequence[str] A filter on the list based on the key [‘status’][‘state’]. Multiple statuses can be given and will be filtered as OR. The allowed values are: online, offline, unknown.

  • pagination_type (Optional[Literal['limits', 'cursor', 'stream']]) – Literal['limits', 'cursor', 'stream'] Method of pagination to use for return results where total_items is greater than page_size. cursor and limits will return one page of results, stream will return all results. (‘limits’, ‘cursor’, ‘stream’)

  • page_size (Optional[int]) – int Number of objects to be returned in each page. Page size can range between 1 and 10000 objects.

  • page (Optional[int]) – int An integer for the wanted page of results. Used only with pagination_type set as limits.

  • next (Optional[str]) – str An alphanumeric string bookmark to indicate where to start for the next page. Used only with pagination_type set as cursor.

  • previous (Optional[str]) – str An alphanumeric string bookmark to indicate where to end for the previous page. Used only with pagination_type set as cursor.

  • direction (Optional[Literal['asc', 'desc']]) – Literal['asc', 'desc'] Sorting order according to the sort_by parameter. (‘asc’, ‘desc’)

  • sort_by (Optional[Sequence[str]]) – Sequence[str]

  • fetch (bool)

  • _dry_run (bool)

  • _get_response (bool)

  • _client (SyncBaseClient | None)

Return type:

KList[Asset] | AssetsListPaginatedResponseCursor | AssetsListPaginatedResponseLimits | dict[str, object] | Response

fields = None
model_config: ClassVar[ConfigDict] = {'use_enum_values': True, 'validate_assignment': True, 'validate_default': True}

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

model_post_init(context, /)

This function is meant to behave like a BaseModel method to initialise private attributes.

It takes context as an argument since that’s what pydantic-core passes when calling it.

Parameters:
  • self (BaseModel) – The BaseModel instance.

  • context (Any) – The context.

Return type:

None

schema = None
classmethod list_assets_advanced(pagination_type=None, page_size=10000, page=None, next=None, previous=None, direction=None, sort_by=None, data=None, fetch=True, _dry_run=False, _get_response=False, _client=None, **kwargs)[source]
Overloads:
  • cls, pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), data (Optional[Union[requests.AssetsAdvancedList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[True]), _get_response (bool), _client (Optional[SyncBaseClient]), kwargs (object) → dict[str, object]

  • cls, pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), data (Optional[Union[requests.AssetsAdvancedList, Mapping[str, object]]]), fetch (bool), _dry_run (Literal[False]), _get_response (Literal[True]), _client (Optional[SyncBaseClient]), kwargs (object) → Response

  • cls, pagination_type (Optional[Literal[‘limits’, ‘cursor’, ‘stream’]]), page_size (Optional[int]), page (Optional[int]), next (Optional[str]), previous (Optional[str]), direction (Optional[Literal[‘asc’, ‘desc’]]), sort_by (Optional[Sequence[str]]), data (Optional[Union[requests.AssetsAdvancedList, Mapping[str, object]]]), fetch (Literal[False]), _dry_run (Literal[False]), _get_response (Literal[False]), _client (Optional[SyncBaseClient]), kwargs (object) → Union[responses.AssetsAdvancedListPaginatedResponseCursor, responses.AssetsAdvancedListPaginatedResponseLimits]

[...]
